Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.utils
Class Utility

    java.lang.Object
      com.arjuna.ats.arjuna.utils.Utility

public class Utility
extends java.lang.Object

Various useful functions that we wrap in a single class. Some of these functions are needed simply for backwards compatibility with older versions of Java.

Since:
  JTS 1.0.
Version:
  $Id: Utility.html,v 1.1 2008/01/04 06:52:40 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`Utility()`

Method Summary
`static Process` | `getDefaultProcess()`
`static int` | `getpid()`
`static Uid` | `getProcessUid()`
`static int` | `hexStringToInt(java.lang.String s)` Convert a hex String to an integer.
`static long` | `hexStringToLong(java.lang.String s)` Convert a hex String to a long.
`static int` | `hostInetAddr()`
`static java.lang.String` | `intToHexString(int number)` Convert integer to hex String.
`static boolean` | `isWindows()`
`static java.lang.String` | `longToHexString(long number)` Convert a long to a hex String.
`static void` | `setProcess(Process p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utility

    public Utility()

Method Detail

### intToHexString

    public static java.lang.String intToHexString(int number)
                                           throws java.lang.NumberFormatException

  Convert integer to hex String.

  Throws:
    `java.lang.NumberFormatException`

### hexStringToInt

    public static int hexStringToInt(java.lang.String s)
                              throws java.lang.NumberFormatException

  Convert a hex String to an integer. Be careful of -1. Java IO is really bad!

  Throws:
    `java.lang.NumberFormatException`

### longToHexString

    public static java.lang.String longToHexString(long number)
                                            throws java.lang.NumberFormatException

  Convert a long to a hex String.

  Throws:
    `java.lang.NumberFormatException`

### hexStringToLong

    public static long hexStringToLong(java.lang.String s)
                                throws java.lang.NumberFormatException

  Convert a hex String to a long.

  Throws:
    `java.lang.NumberFormatException`

### hostInetAddr

    public static int hostInetAddr()
                            throws java.net.UnknownHostException

  Returns:
    an integer representing the ip address of the local machine. Essentially the bytes of the InetAddress are shuffled into the integer. This was once part of the Uid class but has been separated for general availability.
  Throws:
    `java.net.UnknownHostException`
  Since:
    JTS 2.1.

### getpid

    public static final int getpid()

  Returns:
    the process id. This had better be unique between processes on the same machine. If not we're in trouble!
  Since:
    JTS 2.1.

### getProcessUid

    public static final Uid getProcessUid()

  Returns:
    a Uid representing this process.
  Since:
    JTS 2.1.

### isWindows

    public static final boolean isWindows()

### setProcess

    public static final void setProcess(Process p)

### getDefaultProcess

    public static final Process getDefaultProcess()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD